import { ErrorResponse } from 'packages/commons/service/error-response';

import { Infra } from '../../model';
import { Page } from '../../../../app/commons/model';

export interface State {
  error: ErrorResponse | null;
  isPending: boolean;
  infraList: Infra[] | null;
}

export const initialState: State = {
  error: null,
  isPending: false,
  infraList: null,
};

export const getInfraList = (state: State) => state.infraList;
export const getError = (state: State) => state.error;
export const isPending = (state: State) => state.isPending;
